ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

PIC

# Documentation

cmmMakeDynamicReference :: CmmMakeDynamicReferenceM m => DynFlags -> ReferenceKind -> CLabel -> m CmmExpr #

class Monad m => CmmMakeDynamicReferenceM m where #

Minimal complete definition

addImport, getThisModule

Methods

addImport :: CLabel -> m () #

getThisModule :: m Module #

Instances

CmmMakeDynamicReferenceM NatM # |
Methods addImport :: CLabel -> NatM () # getThisModule :: NatM Module #

data ReferenceKind #

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind # |
Methods (==) :: ReferenceKind -> ReferenceKind -> Bool # (/=) :: ReferenceKind -> ReferenceKind -> Bool #

needImportedSymbols :: DynFlags -> Arch -> OS -> Bool #

pprImportedSymbol :: DynFlags -> Platform -> CLabel -> SDoc #

pprGotDeclaration :: DynFlags -> Arch -> OS -> SDoc #

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmDecl CmmStatics Instr] -> NatM [NatCmmDecl CmmStatics Instr] #

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmDecl (Alignment, CmmStatics) Instr] -> NatM [NatCmmDecl (Alignment, CmmStatics) Instr] #